import { isDate } from 'date-fns';

/**
 * 判断是否是时间戳
 */
export const isTimestamp = (value) => {
  // 判断是否为数字
  if (typeof value !== 'number') return false;
  // 判断是否为合理的时间戳（大于0）
  if (value <= 0) return false;
  // 判断是否为Math.floor(value)，即是否为整数
  if (value !== Math.floor(value)) return false;
  // 判断是否为日期对象
  return isDate(new Date(value));
}
